Subject: Re: [JGIT PATCH 8/8] Define a basic merge API, and a two-way tree merge strategy

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 15 Jan 2009 13:09:36 -0800

Robin Rosenberg <[email-masked]> wrote:
> I never got a  received reply... on this.

Sorry.  Its in my "pending" queue.  I'm still using the code
in Gerrit but I've been so swamped that I haven't been able to
look at your test case, or what's wrong with the code and why it
doesn't pass.

I honestly hoped to have something by this point, but I got behind
and I haven't quite had a chance to look at it.
 
> torsdag 23 oktober 2008 23:14:29 skrev Robin Rosenberg:
> > Hi, Shawn
> > 
> > Shouldn't testTrivialTwoWay_disjointhistories()  work?
> > 
> > The two trees have nothing in common and so should be trivially mergeable.
> > 
> > -- robin
> > 
> > From cef2695431e368da616a1e9c8de3e5e419854a4c Mon Sep 17 00:00:00 2001
> > From: Robin Rosenberg <[email-masked]>
> > Date: Thu, 23 Oct 2008 23:09:10 +0200
> > Subject: [EGIT PATCH] Simple merge test
> > 
> > ---
> >  .../org/spearce/jgit/merge/SimpleMergeTest.java    |   28 ++++++++++++++++++++
> >  1 files changed, 28 insertions(+), 0 deletions(-)
> >  create mode 100644 org.spearce.jgit.test/tst/org/spearce/jgit/merge/SimpleMergeTest.java

-- 
Shawn.